ShowSavedResults (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class ShowSavedResults

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.ShowSavedResults

public class ShowSavedResults
extends java.lang.Object

Shows a list of results from the SOAP server and displays individual result sets

Field Summary
`private javax.swing.JTextArea` | `aboutRes`
`private javax.swing.JScrollPane` | `aboutScroll`
`private java.awt.Cursor` | `cbusy`
`private java.awt.Cursor` | `cdone`
`private javax.swing.DefaultListModel` | `datasets`
`private javax.swing.JPanel` | `resButtonStatus`
`private javax.swing.JMenuBar` | `resMenu`
`private javax.swing.ImageIcon` | `rfii`
`private javax.swing.JFrame` | `savedResFrame`
`private ScrollPanel` | `sp`
`private javax.swing.JScrollPane` | `ss`
`private javax.swing.JTextField` | `statusField`

Constructor Summary
`ShowSavedResults(JembossParams mysettings, javax.swing.JFrame f)` Show the saved results on the server.
`ShowSavedResults(JembossParams mysettings, PendingResults epr)` Show the results sent to a batch queue.
`ShowSavedResults(java.lang.String frameName)`

Method Summary
`private java.lang.String` | `convertToOriginal(java.lang.Object sorig)`
`static java.lang.String` | `convertToPretty(java.lang.String sorig)`
`private void` | `listByDateRun(ResultList reslist, boolean ldisp)`
`private void` | `listByProgramName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbusy

    private java.awt.Cursor cbusy

### cdone

    private java.awt.Cursor cdone

### datasets

    private javax.swing.DefaultListModel datasets

### savedResFrame

    private javax.swing.JFrame savedResFrame

### sp

    private ScrollPanel sp

### aboutRes

    private javax.swing.JTextArea aboutRes

### aboutScroll

    private javax.swing.JScrollPane aboutScroll

### ss

    private javax.swing.JScrollPane ss

### resButtonStatus

    private javax.swing.JPanel resButtonStatus

### statusField

    private javax.swing.JTextField statusField

### resMenu

    private javax.swing.JMenuBar resMenu

### rfii

    private javax.swing.ImageIcon rfii

Constructor Detail

### ShowSavedResults

    public ShowSavedResults(java.lang.String frameName)

### ShowSavedResults

    public ShowSavedResults(JembossParams mysettings,
                            javax.swing.JFrame f)

  Show the saved results on the server.

### ShowSavedResults

    public ShowSavedResults(JembossParams mysettings,
                            PendingResults epr)
                     throws JembossSoapException

  Show the results sent to a batch queue.

Method Detail

### listByDateRun

    private void listByDateRun(ResultList reslist,
                               boolean ldisp)

### listByProgramName

    private void listByProgramName()

### convertToPretty

    public static java.lang.String convertToPretty(java.lang.String sorig)

### convertToOriginal

    private java.lang.String convertToOriginal(java.lang.Object sorig)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD